﻿using ThinkGeo.MapSuite.MvcEdition;

namespace MvcApplication10
{
    public class XyzOverlay : Overlay
    {
        private string url;

        public XyzOverlay()

        { }

        public XyzOverlay(string id, string url)
            : base(id, true)
        {
            this.Url = url;
        }

        [JsonMember(MemberName = "url")]

        public string Url
        {
            get { return url; }
            set { url = value; }
        }

        [JsonMember(MemberName = "otype")]
        protected override string OverlayType
        {
            get { return "XYZ"; }
        }
    }
}